function plot2D()
  close all
  u=@(x,y) 3*exp(-((x-1).^2+y.^2)/10).*cos(x-1).*sin(y);
  [q2,me2,toGlobal2]=fc_graphics4mesh.getMeshArrays('2D',2);
  [q1,me1,toGlobal1]=fc_graphics4mesh.getMeshArrays('2D',1);
  U2=fc_graphics4mesh.evalAtVertices(u,q2);
  figure(1)
  fc_graphics4mesh.plot(q2,me2,U2,'plan',true)
  shading interp
  axis image;axis off
  colorbar

  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray')
  hold on
  fc_graphics4mesh.plot(q1,me1,u,'LineWidth',2)
  caxis([min(U2) max(U2)])
  axis image;axis off
  colorbar
end
