function plotiso3D()
  close all
  u=@(x,y,z) -2+4*cos(x).*sin(y+z);
  [q2,me2,toGlobal2]=fc_graphics4mesh.getMeshArrays('3D',2);
  U2=fc_graphics4mesh.evalAtVertices(u,q2);
  [q1,me1,toGlobal1]=fc_graphics4mesh.getMeshArrays('3D',1);
  U1=fc_graphics4mesh.evalAtVertices(u,q1);
  figure(1)
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','LineWidth',2)
  hold on
  fc_graphics4mesh.plotiso(q2,me2,U2,'LineWidth',2)
  colorbar
  shading interp
  axis image;axis off
  figure(2)
  fc_graphics4mesh.plot(q2,me2,U2)
  hold on
  fc_graphics4mesh.plotiso(q2,me2,U2,'color','white','LineWidth',2)
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','LineWidth',1)
  shading interp
  axis image;axis off
  colorbar
end
