function varargout=plotVertices(q,varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('LineStyle','None'); 
  p.addParamValue('Marker','.'); 
  p.addParamValue('MarkerSize',6); 
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin={varargin{:},'LineStyle',R.LineStyle,'Marker',R.Marker,'MarkerSize',R.MarkerSize};
  h=[];
  [dim,nq]=size(q);
  if dim==3, h=plot3(q(1,:),q(2,:),q(3,:),varargin{:});end
  if dim==2, h=plot(q(1,:),q(2,:),varargin{:});end
  if nargout==1, varargout{1}=h;end
end